*{
    box-sizing: border-box;
}

body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    background: linear-gradient(to bottom, #4e2f8c, rgb(89, 9, 158));
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.container-lg{
    background: #ffffff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}

@media (min-width: 768px) {
    .container-lg{
        width: 400px;
    }
}

@media (max-width: 768px) {
    body{
        background: white;
    }
    .container-lg{
        box-shadow: none;
    }
}

#logo {
    max-width: 100px;
}

#logo-link {
    text-decoration: none;
}

h1 {
    font-size: 1.8rem;
    color: #333333;
    margin-bottom: 10px;
    font-weight: bold;
}

main div {
    font-size: 1rem;
    color: #666666;
    margin-bottom: 20px;
}

form {
    text-align: left;
}

#login-table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}

#login-table td {
    padding: 10px 0;
}

label {
    font-weight: bold;
    font-size: 0.9rem;
    color: #444444;
}

label span {
    color: #ff4d4d;
}

.login-fields {
    width: 100%;
    padding: 10px;
    font-size: 1rem;
    border: 1px solid #cccccc;
    border-radius: 5px;
    transition: border-color 0.3s;
}

.login-fields:focus {
    outline: none;
    border-color: #000407;
    box-shadow: 0 0 4px rgba(96, 8, 134, 0.25);
}

.error-message {
    background-color: #ce0909;
    color: #ffffff;
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    font-size: 0.9rem;
}

#login-button {
    width: 100%;
    padding: 10px;
    font-size: 1rem;
    background-color: #e46a1c;
    color: #ffffff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

#login-button:hover {
    background-color: #041323;
}

.buttons {
    color: #4e2f8c;
    text-decoration: none;
    font-weight: bold;
    transition: color 0.3s;
}

.buttons:hover {
    color: #6638c2;
}

hr {
    border: none;
    border-top: 1px solid #e6e6e6;
    margin: 20px 0;
}

main div:last-of-type {
    font-size: 0.9rem;
    color: #666666;
}

#verification-form{
    text-align: center;
}

.logged-in-bodies{
    background: white;
}

#welcome_user_div{
    background-color: #e46a1c;
    color: white;
    border: 1px solid black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 60%;
    height: 50vh;
}

@media (max-width: 768px) {
    #welcome_user_div{
        width: 100%;
        height: 100vh;
    }
}